package org.studiorailgun.conversation.evaluators.opener;

import org.studiorailgun.conversation.evaluators.goal.GoalData;
import org.studiorailgun.conversation.tracking.Conversation;
import org.studiorailgun.conversation.tracking.Sentence;

/**
 * Conversation opener synthesis evaluation
 */
public class OpenerSynthesis {
    
    /**
     * Synthesizes a conversation opener question
     * @param conversation The conversation
     * @return The quote
     */
    public static Sentence synthesize(Conversation conversation){
        Sentence response = null;
        GoalData goalData = conversation.getGoalData();
        switch(goalData.getGoal()){
            case OPENER: {
                response = new Sentence("What is your name?");
            } break;
            case ANSWER:
            case GREET: {
                throw new Error("Unsupported goal type for information transfer! " + goalData.getGoal());
            }
        }
        return response;
    }

}
